/* FichothequeLib_API - Copyright (c) 2016-2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.exportation.table;

import net.mapeadores.util.table.TableWriter;


/**
 *
 * @author Vincent Calame
 */
public interface Cell {

    public short getFormatCast();

    public Object getValue();

    public ColDef getColDef();

    public default int write(TableWriter tableWriter) {
        return tableWriter.addCell(getFormatCast(), getValue());
    }

}
